Package org.eclipse.viatra.transformation.evm.specific.event

## Class LightweightAttributeMonitor<MatchType extends IPatternMatch>

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.notification.AttributeMonitor<MatchType>
  - - org.eclipse.viatra.transformation.evm.specific.event.LightweightAttributeMonitor<MatchType>

-     public class LightweightAttributeMonitor<MatchType extends IPatternMatch>
      extends AttributeMonitor<MatchType>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LightweightAttributeMonitor​(IBaseIndex index)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `registerFor​(MatchType atom)` | Register the attribute monitor to watch feature values of object defined in the given atom.
    `void` | `unregisterFor​(MatchType atom)` | Remove the attribute monitor from watching the given atom.
    `void` | `unregisterForAll()` | Remove the attribute monitor from watching registered atoms.

    - ### Methods inherited from class org.eclipse.viatra.transformation.evm.notification.AttributeMonitor

      `addAttributeMonitorListener, dispose, notifyListeners, removeAttributeMonitorListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LightweightAttributeMonitor

          public LightweightAttributeMonitor​(IBaseIndex index)

  - ### Method Detail

    - #### registerFor

          public void registerFor​(MatchType atom)

      Description copied from class: `AttributeMonitor`
      Register the attribute monitor to watch feature values of object defined in the given atom.
      Specified by:
        `registerFor` in class `AttributeMonitor<MatchType extends IPatternMatch>`

    - #### unregisterForAll

          public void unregisterForAll()

      Description copied from class: `AttributeMonitor`
      Remove the attribute monitor from watching registered atoms.
      Specified by:
        `unregisterForAll` in class `AttributeMonitor<MatchType extends IPatternMatch>`

    - #### unregisterFor

          public void unregisterFor​(MatchType atom)

      Description copied from class: `AttributeMonitor`
      Remove the attribute monitor from watching the given atom.
      Specified by:
        `unregisterFor` in class `AttributeMonitor<MatchType extends IPatternMatch>`